%define upstream_name    Perl6-Form
%define upstream_version 0.090

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Implements the Perl 6 'form' built-in
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl6/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Perl6::Export)
BuildArch:  noarch

%description
Formats are Perl 5's mechanism for creating text templates with fixed-width
fields. Those fields are then filled in using values from prespecified
package variables.

Unlike Perl 5, Perl 6 doesn't have a 'format' keyword. Or the associated
built-in formatting mechanism. Instead it has a Form.pm module. And a
'form' function.

Like a Perl 5 'format' statement, the 'form' function takes a series of
format (or "picture") strings, each of which is immediately followed by a
suitable set of replacement values. It interpolates those values into the
placeholders specified within each picture string, and returns the result:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README demo
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.90.0-3.mga9
+ Revision: 1811248
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.90.0-2.mga8
+ Revision: 1521993
- Mageia 8 Mass Rebuild

* Wed Jan 09 2019 tv <tv> 0.90.0-1.mga7
+ Revision: 1353015
- update to 0.090

* Thu Sep 20 2018 umeabot <umeabot> 0.60.0-3.mga7
+ Revision: 1285719
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.60.0-2.mga7
+ Revision: 1166146
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.60.0-1.mga7
+ Revision: 1157916
- update to 0.06

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1031952
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 941094
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 746695
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 685947
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 514101
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 371746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 32330
- mageia rebuild
- imported package perl-Perl6-Form

